#!/bin/ksh
# Zuordnung SD
sdcard=`ls /mnt|grep sdcard.*t`

# SD-Kartenpfad
SDPath=/mnt/$sdcard

# Zugriffsberechtigung
mount -u $SDPath

# Bildhinweis zum Starten des Scripts
$SDPath/_utils/showScreen $SDPath/_screens/scriptStart.png

# Loschen der .done Datei, falls noch vorhanden
rm -f  $SDPath/.done

# Erstellung der Datei .started (Zeichen, dass das Script lauft)
echo started > $SDPath/.started

# Volle Zugriffsberechtigung zum EFS
mount -uw /mnt/efs-system

# Backup-Erstellung der CAR-Menu Bilder
cp -v -r /mnt/efs-system/lsd/images/HMICarD4/* $SDPath/backup/HMICarD4/

# Backup-Erstellung aller Startbildschirme
cp -v -r /mnt/efs-system/etc/splashscreens/* $SDPath/backup/splashscreens/

# Kopieren der neuen CAR-Menu Bilder ins MMI
cp -v -r $SDPath/HMICarD4/* /mnt/efs-system/lsd/images/HMICarD4/

# Kopieren der neuen Startbildschirme ins MMI
cp -v -r $SDPath/splashscreens/* /mnt/efs-system/etc/splashscreens/

# Bildhinweis zum Beenden des Scripts
$SDPath/_utils/showScreen $SDPath/_screens/scriptDone.png

# Erstellung der .done Datei (Zeichen, dass das Script fertig ist)
echo done > $SDPath/.done

# Loeschen der .started Datei(Script durchgelaufen)
rm -f  $SDPath/.started

# Grosses Danke an thadon @ digital-eliteboard; GreetZ BelijKarp